## python-swiftclient 2.0.3

=== requirements.txt ===
requests>=1.1
simplejson>=2.0.9

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXSOURCE  = source
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SPHINXSOURCE)

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-novaclient.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-novaclient.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-swiftclient 1.1.1

=== debian/changelog ===
python-swiftclient (1:1.1.1-0ubuntu1~cloud0) precise-folsom; urgency=low

  [ Adam Gandelman ]
  * Initial release.

  [ Chuck Short ]
  * debian/watch: Added
  * debian/rules: Download tarball from regular places.
  * Update changelog
  * debian/control: Add python-eventlet as a build depends.
  * debian/rules: Enabled changelog.
  * debian/copyright: Update format.

 -- Adam Gandelman <adamg@canonical.com>  Wed, 06 Jun 2012 12:54:56 -0700

=== debian/control ===
Source: python-swiftclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Adam Gandelman <adamg@canonical.com>
Build-Depends: debhelper (>= 8.0.0),
 python-httplib2,
 python-argparse,
 python-setuptools, 
 python-all (>= 2.6.6-3~),
 python-nose, python-prettytable,
 python-simplejson,
 python-eventlet
Standards-Version: 3.9.2

Package: python-swiftclient
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 python-eventlet,
 python-httplib2
Description: Client libary for Openstack Swift API.
 This is a client for the OpenStack Swift API. There's a Python API 
 (the ``swiftclient`` module), and a command-line script (``swift``).

=== debian/watch ===
version=3
http://tarballs.openstack.org/python-swiftclient/ python-swiftclient-(.*).tar.gz

## python-swiftclient 1.2.0

=== debian/changelog ===
python-swiftclient (1:1.2.0-0ubuntu2) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/control: Drop dependency on ${python:Provides}, add
    python-setuptools.

  [ Soren Hansen ]
  * Update debian/watch to account for symbolically named tarballs and
    use newer URL.
  * Fix Launchpad URLs in debian/watch.

 -- Adam Gandelman <adamg@canonical.com>  Wed, 19 Sep 2012 14:16:32 -0700

python-swiftclient (1:1.2.0-0ubuntu1) quantal; urgency=low

  [ Adam Gandleman ]
  * debian/control, pydist-overrides: Add python-keystoneclient.

  [ Chuck Short ]
  * New upstram version.
  * debian/pydist-overrides: Drop python-keystoneclient.
  * debian/control: Add X-Python version and ${python:Provides}
  * New upstream version
  * debian/watch: Add pypi sources

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 18 Sep 2012 19:04:28 -0500

python-swiftclient (1:1.1.1-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * Initial release.

  [ Chuck Short ]
  * debian/watch: Added
  * debian/rules: Download tarball from regular places.
  * Update changelog
  * debian/control: Add python-eventlet as a build depends.
  * debian/rules: Enabled changelog.
  * debian/copyright: Update format.

 -- Adam Gandelman <adamg@canonical.com>  Wed, 06 Jun 2012 12:54:56 -0700

=== debian/control ===
Source: python-swiftclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Adam Gandelman <adamg@canonical.com>
Build-Depends: debhelper (>= 8.0.0),
 python-all (>= 2.6.6-3~),
 python-argparse,
 python-eventlet,
 python-httplib2,
 python-keystoneclient,
 python-nose,
 python-prettytable,
 python-setuptools,
 python-simplejson
Standards-Version: 3.9.2
X-Python-Version: >= 2.7

Package: python-swiftclient
Architecture: all
Depends: python-eventlet,
 python-httplib2,
 python-keystoneclient,
 python-setuptools,
 ${misc:Depends},
 ${python:Depends}
Description: Client libary for Openstack Swift API.
 This is a client for the OpenStack Swift API. There's a Python API
 (the ``swiftclient`` module), and a command-line script (``swift``).

## python-swiftclient 1.3.0

=== debian/changelog ===
python-swiftclient (1:1.3.0-0ubuntu1) raring; urgency=low

  * New changelog.
  * debian/control: Breaks and Replaces if swift is installed. (LP: #1062160)
  * debian/control: Add python-testtools and python-fixtures as a build depends.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 13 Feb 2013 08:52:28 -0600

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,14 @@
  python-all (>= 2.6.6-3~),
  python-argparse,
  python-eventlet,
+ python-fixtures,
  python-httplib2,
  python-keystoneclient,
  python-nose,
  python-prettytable,
  python-setuptools,
- python-simplejson
+ python-simplejson,
+ python-testtools
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.7
 
@@ -24,6 +26,8 @@
  python-setuptools,
  ${misc:Depends},
  ${python:Depends}
+Breaks: swift ( << 1.7.4-0ubuntu2)
+Replaces: swift ( << 1.7.4-0ubuntu2)
 Description: Client libary for Openstack Swift API.
  This is a client for the OpenStack Swift API. There's a Python API
  (the ``swiftclient`` module), and a command-line script (``swift``).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion setup.py test; done
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

## python-swiftclient 1.6.0

=== debian/changelog ===
python-swiftclient (1:1.6.0-2) unstable; urgency=low

  * Added missing build-depends: python-d2to1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 09:47:14 +0000

python-swiftclient (1:1.6.0-1) unstable; urgency=low

  * New upstream release.
  * Removes now obsolete patch for OSLO version.
  * Now using testrepository for the unit testing.
  * Updated (build-)dependencies.
  * Canonical VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 14:03:08 +0800

python-swiftclient (1:1.4.0-2) unstable; urgency=low

  * Ran wrap-and-sort.
  * Fixed a typo in the short description (Closes: #710546) thanks to Pascal
    De Vuyst for reporting it.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 14:10:59 +0800

python-swiftclient (1:1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 10:25:04 +0000

python-swiftclient (1:1.3.0-1) experimental; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2013 19:26:10 +0800

python-swiftclient (1:1.2.0+git1.2be776c2-1) experimental; urgency=low

  * New snapshot release 
  * Add depend on python-keystoneclient
  * Now using openstack-pkg-tools for the debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Dec 2012 14:39:57 +0000

python-swiftclient (1:1.2.0-1) experimental; urgency=low

  * New upstream version 

 -- Mehdi Abaakouk <sileht@sileht.net>  Sat, 29 Sep 2012 09:13:34 +0200

python-swiftclient (1:1.1.1-1) experimental; urgency=low

  * Initial debian release (Closes: #687415)

 -- Mehdi Abaakouk <sileht@sileht.net>  Wed, 12 Sep 2012 15:51:39 +0200

=== debian/control ===
Source: python-swiftclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-d2to1,
               python-pbr
Build-Depends-Indep: python-eventlet,
                     python-httplib2,
                     python-mock,
                     python-nose,
                     python-nosexcover,
                     python-setuptools,
                     python-simplejson,
                     python-testtools,
                     testrepository (>= 0.0.13)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/openstack/python-swiftclient.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-swiftclient.git
Homepage: https://github.com/openstack/python-swiftclient

Package: python-swiftclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-d2to1 (>=0.2.10),
         python-eventlet,
         python-httplib2,
         python-keystoneclient,
         python-pbr,
         python-simplejson,
         ${misc:Depends},
         ${python:Depends}
Replaces: swift (<< 1.6.0)
Description: Client library for Openstack Swift API
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a client for the OpenStack Swift API. There's a Python
 API  (the "swiftclient" module), and a command-line script ("swift").

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -fr swiftclient/versioninfo

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python setup.py testr
endif

## python-swiftclient 2.0.3

=== debian/changelog ===
python-swiftclient (1:2.0.3-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Mar 2014 13:59:34 -0500

python-swiftclient (1:1.8.0-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * debian/control: open icehouse release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Jan 2014 11:23:04 -0500

python-swiftclient (1:1.6.0-0ubuntu1) saucy; urgency=low

  [ James Page ]
  * d/control: Update VCS fields for new branch locations.

  [ Chuck Short ]
  * New upstream release.
  * debian/control: Add python-mock as a dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Sep 2013 13:29:42 -0400

python-swiftclient (1:1.4.0-0ubuntu1) saucy; urgency=low

  [ James Page ]
  * d/control: Fix typo in package description. 

  [ Chuck Short ]
  * New upstream release.
  * debian/control:
    - Drop dependency of python-argparse
    - Add dependency of python-d2to1 and python-pbr
    - Add python-subunit, python-coverage, python-testtools, 
      and testrepository.
  * debian/rules: Run testr by hand since we dont want to 
    run pep8 tests.

  [ Yolanda Robla ]
  * debian/tests: added autopkg tests

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 04 Jul 2013 08:04:45 -0500

=== debian/control ===
Source: python-swiftclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Adam Gandelman <adamg@canonical.com>
Build-Depends: debhelper (>= 8.0.0),
 python-all (>= 2.6.6-3~),
 python-coverage,
 python-d2to1,
 python-eventlet,
 python-fixtures,
 python-httplib2,
 python-keystoneclient,
 python-mock,
 python-nose,
 python-pbr,
 python-prettytable,
 python-setuptools,
 python-simplejson,
 python-testtools,
 python-subunit,
 testrepository
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-swiftclient/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-swiftclient/icehouse
XS-Testsuite: autopkgtest

Package: python-swiftclient
Architecture: all
Depends: python-eventlet,
 python-httplib2,
 python-keystoneclient,
 python-setuptools,
 ${misc:Depends},
 ${python:Depends}
Breaks: swift ( << 1.7.4-0ubuntu2)
Replaces: swift ( << 1.7.4-0ubuntu2)
Description: Client library for Openstack Swift API.
 This is a client for the OpenStack Swift API. There's a Python API
 (the ``swiftclient`` module), and a command-line script (``swift``).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	testr init && testr run --parallel
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

=== debian/tests/control ===
Tests: client
Depends: python-swiftclient

=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/" https://launchpad.net/python-swiftclient/+download https://launchpad.net/python-swiftclient/.*/.*/.*/python-swiftclient-(.*)\.tar\.gz
http://tarballs.openstack.org/python-swiftclient/ python-swiftclient-(\d.*).tar.gz
http://pypi.python.org/packages/source/p/python-swiftclient/python-swiftclient-(.*).tar.gz

## python-swiftclient 2.3.0

=== debian/changelog ===
python-swiftclient (1:2.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Add python-concurrent.futures. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 18 Sep 2014 09:23:05 -0400

python-swiftclient (1:2.2.0-0ubuntu1) utopic; urgency=medium

  [ Chuck Short ]
  * New upstream version.

  [ Liam Young ]
  * debian/control: Merged in deps from requirements.txt 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Jul 2014 12:18:47 -0400

python-swiftclient (1:2.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control:
    - Open up juno release.
    - Dropped python-d2to1, python-eventlet, python-nose, python-prettytable.
    - Added python-six.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Jun 2014 10:15:40 -0400

=== debian/control ===
Source: python-swiftclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Adam Gandelman <adamg@canonical.com>
Build-Depends:
 debhelper (>= 8.0.0),
 python-all (>= 2.6.6-3~),
 python-coverage,
 python-concurrent.futures,
 python-fixtures,
 python-httplib2,
 python-keystoneclient,
 python-mock,
 python-pbr,
 python-requests (>= 1.1),
 python-setuptools,
 python-simplejson (>= 2.0.9),
 python-six (>= 1.5.2),
 python-subunit,
 python-testtools,
 testrepository
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/python-swiftclient/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/python-swiftclient/juno
XS-Testsuite: autopkgtest

Package: python-swiftclient
Architecture: all
Depends:
 python-eventlet,
 python-httplib2,
 python-keystoneclient,
 python-requests (>= 1.1),
 python-setuptools,
 python-simplejson (>= 2.0.9),
 python-six (>= 1.5.2),
 ${misc:Depends},
 ${python:Depends}
Breaks: swift ( << 1.7.4-0ubuntu2)
Replaces: swift ( << 1.7.4-0ubuntu2)
Description: Client library for Openstack Swift API.
 This is a client for the OpenStack Swift API. There's a Python API
 (the ``swiftclient`` module), and a command-line script (``swift``).

## python-swiftclient 2.3.1

=== requirements.txt ===
futures>=2.1.3
requests>=1.1
simplejson>=2.0.9
six>=1.5.2

=== debian/changelog ===
python-swiftclient (1:2.3.1-1+deb8u1) jessie-proposed-updates; urgency=medium

  * Added missing dependency on python-pkg-resources (Closes: #789685).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jun 2015 23:06:31 +0200

python-swiftclient (1:2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Oct 2014 23:52:32 +0800

python-swiftclient (1:2.3.0-1) experimental; urgency=medium

  [ Thomas Bechtold ]
  * debian/watch: Use github tags.

  [ Thomas Goirand ]
  * New upstream release.
  * Updated (build-)depends for this release.
  * Removed manpage patch applied upstream.
  * Using testr and subunit correctly.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Sep 2014 22:31:55 +0800

python-swiftclient (1:2.0.2-1) unstable; urgency=high

  * New upstream release (Closes: #730626).
  * Reviewed build-dependency for the new upstream release.
  * Standards-Version: is now 3.9.5.
  * Also builds the sphinx doc and package manpage.
  * Adds patch to fix manpage.

 -- Thomas Goirand <zigo@debian.org>  Tue, 18 Feb 2014 11:03:09 +0800

=== debian/control ===
Source: python-swiftclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-sphinx (>= 1.1.2),
Build-Depends-Indep: python-coverage (>= 3.6),
                     python-concurrent.futures,
                     python-eventlet,
                     python-httplib2,
                     python-keystoneclient (>= 1:0.7.0),
                     python-mock (>= 1.0),
                     python-nose,
                     python-nosexcover,
                     python-oslosphinx,
                     python-requests (>= 1.1),
                     python-setuptools,
                     python-simplejson,
                     python-testtools (>= 0.9.34),
                     testrepository (>= 0.0.18),
                     subunit
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/openstack/python-swiftclient.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-swiftclient.git
Homepage: https://github.com/openstack/python-swiftclient

Package: python-swiftclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-concurrent.futures,
         python-d2to1 (>=0.2.10),
         python-eventlet,
         python-httplib2,
         python-keystoneclient (>= 1:0.7.0),
         python-pbr,
         python-pkg-resources,
         python-requests (>= 1.1),
         python-simplejson,
         ${misc:Depends},
         ${python:Depends}
Replaces: swift (<< 1.6.0)
Description: Client library for Openstack Swift API
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a client for the OpenStack Swift API. There's a Python
 API  (the "swiftclient" module), and a command-line script ("swift").

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2,sphinxdoc

override_dh_auto_clean:
	dh_auto_clean
	rm -fr swiftclient/versioninfo

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e && for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
	#python setup.py testr --slowest --testr-args='--subunit  '
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-swiftclient/usr/share/doc/python-swiftclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-swiftclient 2.6.0

=== debian/changelog ===
python-swiftclient (1:2.6.0-1ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 29 Sep 2015 18:29:56 +0000

python-swiftclient (1:2.6.0-1ubuntu1) wily; urgency=medium

  * d/py3dist-overrides: Ignore futures for py3.

 -- James Page <james.page@ubuntu.com>  Tue, 29 Sep 2015 11:47:03 +0100

python-swiftclient (1:2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align dependencies and versions with upstream.
  * d/patches: Dropped. Remaining patch fixed upstream.
  * d/control: Update uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Sep 2015 14:54:41 -0400

python-swiftclient (1:2.4.0-5) experimental; urgency=medium

  * Team upload.
  * d/control,d/tests: Add autopkgtests from Ubuntu. 

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jul 2015 08:58:58 +0100

python-swiftclient (1:2.4.0-4) experimental; urgency=medium

  * Team upload.
  * d/p/multithreading-fixes.patch: Cherry pick fixes related to py3
    unit test failures from upstream VCS.

 -- James Page <james.page@ubuntu.com>  Fri, 10 Jul 2015 09:17:01 +0100

python-swiftclient (1:2.4.0-3) experimental; urgency=medium

  * Added Breaks: + Replaces: of python-swiftclient in python-swiftclient-doc
    because the -doc package now contains the swift man page (Closes: #789668).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 15:44:59 +0200

python-swiftclient (1:2.4.0-2) experimental; urgency=medium

  * Added dependency on python-pkg-resources (Closes: #789685).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jun 2015 23:02:54 +0200

python-swiftclient (1:2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Apr 2015 19:12:15 +0200

=== debian/control ===
Source: python-swiftclient
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-concurrent.futures,
                     python-coverage,
                     python-hacking (>= 0.10.0),
                     python-keystoneclient,
                     python-mock (>= 1.2),
                     python-oslosphinx,
                     python-requests,
                     python-six,
                     python-testtools,
                     python3-hacking (>= 0.10.0),
                     python3-keystoneclient,
                     python3-mock (>= 1.2),
                     python3-requests,
                     python3-simplejson,
                     python3-six,
                     python3-subunit,
                     python3-testtools,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/openstack/python-swiftclient.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-swiftclient.git
Homepage: https://github.com/openstack/python-swiftclient
XS-Testsuite: autopkgtest

Package: python-swiftclient
Architecture: all
Depends: python-concurrent.futures,
         python-keystoneclient,
         python-pbr,
         python-pkg-resources,
         python-requests,
         python-simplejson,
         python-six,
         ${misc:Depends},
         ${python:Depends},
Description: Client library for Openstack Swift API - Python 2.7
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a client for the OpenStack Swift API. There's a Python
 API  (the "swiftclient" module), and a command-line script ("swift").
 .
 This package contains the Python 2.7 module.

Package: python3-swiftclient
Architecture: all
Depends: python3-keystoneclient,
         python3-pbr,
         python3-requests,
         python3-pkg-resources,
         python3-simplejson,
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
Description: Client library for Openstack Swift API - Python 3.x
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a client for the OpenStack Swift API. There's a Python
 API  (the "swiftclient" module), and a command-line script ("swift").
 .
 This package contains the Python 3.x module.

Package: python-swiftclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Breaks: python-swiftclient (<< 1:2.4.0-2~)
Replaces: python-swiftclient (<< 1:2.4.0-2~)
Description: Client library for Openstack Swift API - doc
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a client for the OpenStack Swift API. There's a Python
 API  (the "swiftclient" module), and a command-line script ("swift").
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-swiftclient ; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-swiftclient ; \
	done
	mv $(CURDIR)/debian/python-swiftclient/usr/bin/swift $(CURDIR)/debian/python-swiftclient/usr/bin/python2-swift
	mv $(CURDIR)/debian/python3-swiftclient/usr/bin/swift $(CURDIR)/debian/python3-swiftclient/usr/bin/python3-swift
	rm -rf $(CURDIR)/debian/python*-swiftclient/usr/share/man

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build .testrepository

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-swiftclient-doc/usr/share/doc/python-swiftclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
https://github.com/openstack/python-swiftclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-swiftclient 3.0.0

=== requirements.txt ===
futures>=2.1.3
requests>=1.1
six>=1.5.2

=== debian/changelog ===
python-swiftclient (1:3.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * d/control: Align Build-Depends with upstream.
  * d/p/Stop-passing-attr-to-keystoneclient-when-there-s-no-filter_value.patch:
    Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 22 Mar 2016 17:11:47 -0400

python-swiftclient (1:2.7.0-2) experimental; urgency=medium

  [ Ondřej Nový ]
  * Watch file fixed.
  * Debian tests fixies.
  * Standards-Version is 3.9.7 now (no change).
  * Fixed Vcs URLs.

  [ Thomas Goirand ]
  * Added patch:
    Stop-passing-attr-to-keystoneclient-when-there-s-no-filter_value.patch

 -- Ondřej Nový <novy@ondrej.org>  Wed, 02 Mar 2016 16:16:18 +0100

python-swiftclient (1:2.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * New upstream release.
  * Added myself as uploader.
  * Moved man page from python-swiftclient-doc package to base packages.
  * Removed python-pbr dependency.

  [ Thomas Goirand ]
  * Fixed debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jan 2016 03:00:26 +0000

python-swiftclient (1:2.6.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:53:41 +0000

python-swiftclient (1:2.6.0-2) unstable; urgency=medium

  [ Ivan Udovichenko ]
  * d/control: Remove unnecessary dependency - python-simplejson [1].
    [1] Commit: 317df7e527c174695e184f8250f5f743ac91f0f2

  [ James Page ]
  * d/py3dist-overrides: Ignore futures requirement for py3.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:47:42 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
+           Ondřej Nový <novy@ondrej.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -23,31 +24,25 @@
                      python-oslosphinx,
                      python-requests,
                      python-six,
-                     python-testtools,
                      python3-hacking (>= 0.10.0),
                      python3-keystoneclient,
                      python3-mock (>= 1.2),
                      python3-requests,
-                     python3-simplejson,
                      python3-six,
                      python3-subunit,
-                     python3-testtools,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/openstack/python-swiftclient.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-swiftclient.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-swiftclient.git
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-swiftclient.git
 Homepage: https://github.com/openstack/python-swiftclient
-XS-Testsuite: autopkgtest
 
 Package: python-swiftclient
 Architecture: all
 Depends: python-concurrent.futures,
          python-keystoneclient,
-         python-pbr,
          python-pkg-resources,
          python-requests,
-         python-simplejson,
          python-six,
          ${misc:Depends},
          ${python:Depends},
@@ -79,10 +74,8 @@
 Package: python3-swiftclient
 Architecture: all
 Depends: python3-keystoneclient,
-         python3-pbr,
          python3-requests,
          python3-pkg-resources,
-         python3-simplejson,
          python3-six,
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,13 @@
 	done
 	mv $(CURDIR)/debian/python-swiftclient/usr/bin/swift $(CURDIR)/debian/python-swiftclient/usr/bin/python2-swift
 	mv $(CURDIR)/debian/python3-swiftclient/usr/bin/swift $(CURDIR)/debian/python3-swiftclient/usr/bin/python3-swift
-	rm -rf $(CURDIR)/debian/python*-swiftclient/usr/share/man
+	mv $(CURDIR)/debian/python-swiftclient/usr/share/man/man1/swift.1 \
+		$(CURDIR)/debian/python-swiftclient/usr/share/man/man1/python2-swift.1
+	mv $(CURDIR)/debian/python3-swiftclient/usr/share/man/man1/swift.1 \
+		$(CURDIR)/debian/python3-swiftclient/usr/share/man/man1/python3-swift.1
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: client
Depends: python-swiftclient, python3-swiftclient

Depends: python-swiftclient
Test-Command: python -c "import swiftclient; print swiftclient.__version__"

Depends: python3-swiftclient
Test-Command: python3 -c "import swiftclient; print(swiftclient.__version__)"

## python-swiftclient 3.1.0

=== debian/changelog ===
python-swiftclient (1:3.1.0-3) unstable; urgency=medium

  * Bumped debhelper version to 10
  * d/copyright: Fixed Apache-2 license text
  * Require futures only for Python 2
    (Added upstream patch, closes: #849453)
  * Bump required version of python-concurrent.futures,
    python{,3}-pkg-resources and python{,3}-setuptools

 -- Ondřej Nový <onovy@debian.org>  Wed, 28 Dec 2016 20:35:42 +0100

python-swiftclient (1:3.1.0-2) unstable; urgency=medium

  * Uploading to unstable
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <onovy@debian.org>  Fri, 23 Sep 2016 16:34:08 +0200

python-swiftclient (1:3.1.0-1) experimental; urgency=medium

  * New upstream release
  * Bumped required version of python-keystoneclient
  * Bumped required version of python-oslosphinx

 -- Ondřej Nový <onovy@debian.org>  Sat, 03 Sep 2016 11:54:41 +0200

python-swiftclient (1:3.0.0-4) unstable; urgency=medium

  * Use OSLO_PACKAGE_VERSION from openstack-pkg-tools
  * d/{control,copyright}: Use my @debian.org email address
  * Removed git from Build-Depends-Indep
  * Fixed executable flags for debian/* files
  * Use autopkgtest-pkg-python testsuite

 -- Ondřej Nový <onovy@debian.org>  Sat, 03 Sep 2016 11:33:07 +0200

python-swiftclient (1:3.0.0-3) unstable; urgency=medium

  * Standards-Version is 3.9.8 now (no change)
  * Change directory to $ADTTMP before running Debian tests
  * d/copyright: Changed source URL to https protocol
  * Changed -doc depends from ${python3:Depends} to ${sphinxdoc:Depends}

 -- Ondřej Nový <novy@ondrej.org>  Thu, 02 Jun 2016 16:36:56 +0200

python-swiftclient (1:3.0.0-2) unstable; urgency=medium

  * Added git to Build-Depends-Indep

 -- Ondřej Nový <novy@ondrej.org>  Wed, 06 Apr 2016 11:21:52 +0200

python-swiftclient (1:3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Removed python(3)-testtools build dependency
  * Removed patch
    Stop-passing-attr-to-keystoneclient-when-there-s-no-filter_value.patch
    (Applied upstream)

 -- Ondřej Nový <novy@ondrej.org>  Tue, 05 Apr 2016 20:35:22 +0200

python-swiftclient (1:2.7.0-3) unstable; urgency=medium

  * Uploading to unstable
  * Fixed hardcoded Python 2.7 version when running unit tests

 -- Ondřej Nový <novy@ondrej.org>  Mon, 04 Apr 2016 18:56:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,47 +1,47 @@
 Source: python-swiftclient
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-           Ondřej Nový <novy@ondrej.org>,
-Build-Depends: debhelper (>= 9),
+           Ondřej Nový <onovy@debian.org>,
+Build-Depends: debhelper (>= 10),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 48~),
                python-all,
                python-pbr,
-               python-setuptools,
+               python-setuptools (>= 20.6.8),
                python-sphinx,
                python3-all,
                python3-pbr,
-               python3-setuptools,
-Build-Depends-Indep: python-concurrent.futures,
+               python3-setuptools (>= 20.6.8),
+Build-Depends-Indep: python-concurrent.futures (>= 3.0),
                      python-coverage,
                      python-hacking (>= 0.10.0),
-                     python-keystoneclient,
+                     python-keystoneclient (>= 1:0.7.0),
                      python-mock (>= 1.2),
-                     python-oslosphinx,
+                     python-oslosphinx (>= 4.7.0),
                      python-requests,
                      python-six,
                      python3-hacking (>= 0.10.0),
-                     python3-keystoneclient,
+                     python3-keystoneclient (>= 1:0.7.0),
                      python3-mock (>= 1.2),
                      python3-requests,
                      python3-six,
                      python3-subunit,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-swiftclient.git
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-swiftclient.git
+Standards-Version: 3.9.8
+Vcs-Git: https://git.openstack.org/openstack/deb-python-swiftclient -b debian/newton
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-swiftclient?h=debian%2Fnewton
 Homepage: https://github.com/openstack/python-swiftclient
+Testsuite: autopkgtest-pkg-python
 
 Package: python-swiftclient
 Architecture: all
-Depends: python-concurrent.futures,
+Depends: python-concurrent.futures (>= 3.0),
          python-keystoneclient,
-         python-pkg-resources,
+         python-pkg-resources (>= 20.6.8),
          python-requests,
          python-six,
          ${misc:Depends},
@@ -75,7 +75,7 @@
 Architecture: all
 Depends: python3-keystoneclient,
          python3-requests,
-         python3-pkg-resources,
+         python3-pkg-resources (>= 20.6.8),
          python3-six,
          ${misc:Depends},
          ${python3:Depends},
@@ -108,7 +108,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends},
+         ${sphinxdoc:Depends},
 Breaks: python-swiftclient (<< 1:2.4.0-2~)
 Replaces: python-swiftclient (<< 1:2.4.0-2~)
 Description: Client library for Openstack Swift API - doc

## python-swiftclient 3.3.0

=== debian/changelog ===
python-swiftclient (1:3.3.0-1) unstable; urgency=medium

  * New upstream release

 -- David Homolka <david.homolka@ultimum.io>  Thu, 03 Aug 2017 16:50:00 +0200

=== debian/control ===
--- 
+++ 
@@ -32,8 +32,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Git: https://git.openstack.org/openstack/deb-python-swiftclient -b debian/newton
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-swiftclient?h=debian%2Fnewton
+Vcs-Browser:https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-swiftclient.git/?h=debian%2Focata
+Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-swiftclient.git -b debian/ocata
 Homepage: https://github.com/openstack/python-swiftclient
 Testsuite: autopkgtest-pkg-python
